Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.addrbook.client
Class CalendarAttendant

    java.lang.Object
      com.knowgate.addrbook.client.CalendarAttendant

    public class CalendarAttendant

extends java.lang.Object

Constructor Summary
`CalendarAttendant()`

Method Summary
`java.lang.String` | `getEmail()`
`java.lang.String` | `getGuid()`
`java.lang.String` | `getId()`
`java.lang.String` | `getName()`
`java.lang.String` | `getSurname()`
`java.util.SimpleTimeZone` | `getTimeZone()`
`void` | `setEmail(java.lang.String sAttendantEmail)`
`void` | `setGuid(java.lang.String sGuid)`
`void` | `setId(java.lang.String sId)`
`void` | `setName(java.lang.String sAttendantName)`
`void` | `setSurname(java.lang.String sAttendantSurname)`
`void` | `setTimeZone(java.lang.String sTime)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CalendarAttendant

    public CalendarAttendant()

Method Detail

### getId

    public java.lang.String getId()

### setId

    public void setId(java.lang.String sId)

### getGuid

    public java.lang.String getGuid()

### setGuid

    public void setGuid(java.lang.String sGuid)
                 throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### getEmail

    public java.lang.String getEmail()

### setEmail

    public void setEmail(java.lang.String sAttendantEmail)
                  throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String sAttendantName)

### getSurname

    public java.lang.String getSurname()

### setSurname

    public void setSurname(java.lang.String sAttendantSurname)

### getTimeZone

    public java.util.SimpleTimeZone getTimeZone()

### setTimeZone

    public void setTimeZone(java.lang.String sTime)
                     throws java.lang.NumberFormatException

  Throws:
    `java.lang.NumberFormatException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD